Bug 666726 - (amide) Review Request: amide - A Medical Image Data Examiner:
Review Request: amide - A Medical Image Data Examiner:
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
: Reopened
Depends On: dcmtk xmedcon
Blocks: fedora-medical
  Show dependency treegraph
Reported: 2011-01-02 11:33 EST by Susmit
Modified: 2011-10-20 06:00 EDT (History)
7 users (show)

See Also:
Fixed In Version: amide-1.0.0-1.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2011-10-06 18:59:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
cwickert: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Susmit 2011-01-02 11:33:17 EST
Spec URL: http://susmit.fedorapeople.org/packaging/amide/amide.spec
SRPM URL: http://susmit.fedorapeople.org/packaging/amide/amide-0.9.2-1.fc14.src.rpm
Description: Amide's a Medical Image Data Examiner: Amide is a tool for viewing, registering, and analyzing anatomical and functional volumetric medical imaging data sets.
Comment 1 Susmit 2011-01-02 11:50:01 EST
Contact upstream about the patch.
Comment 2 Christoph Wickert 2011-01-30 16:19:00 EST
The package build-requires ffmpeg-devel, so there is no chance to have it in Fedora. Let's see if we can build it without ffmpeg.
Comment 3 Christoph Wickert 2011-01-30 18:44:47 EST
Live from FUDCon Tempe here are new packages with a ton of review fixes:

SRPM: http://cwickert.fedorapeople.org/review/amide-0.9.2-2.fc15.src.rpm
SPEC: http://cwickert.fedorapeople.org/review/amide.spec
Comment 4 Christoph Wickert 2011-01-30 18:47:19 EST
OK - MUST: pmlint /var/lib/mock/fedora-rawhide-x86_64/result/amide-*
4 packages and 0 specfiles checked; 0 errors, 0 warnings.
OK - MUST: named according to the Package Naming Guidelines
OK - MUST: spec file name matches the base package %{name}
OK - MUST: package meets the Packaging Guidelines
OK - MUST: Fedora approved license and meets the Licensing Guidelines
OK - MUST: License field in spec file matches the actual license: GPLv2+
OK - MUST: license file included in %doc
OK - MUST: spec is in American English
OK - MUST: spec is legible
OK - MUST: sources match the upstream source by MD5 0d40364f35011fd8a1a2e87512aceb1d
OK - MUST: successfully compiles and builds into binary rpms on x86_64
N/A - MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
OK - MUST: all build dependencies are listed in BuildRequires.
OK - MUST: handles locales properly with %find_lang
N/A - MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
OK - MUST: Package does not bundle copies of system libraries.
N/A - MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package.
OK - MUST: owns all directories that it creates
OK - MUST: no duplicate files in the %files listing
OK - MUST: Permissions on files are set properly, includes %defattr(...)
OK - MUST: consistently uses macros
OK - MUST: package contains code, or permissable content
N/A - MUST: Large documentation files should go in a -doc subpackage
OK- MUST: Files included as %doc do not affect the runtime of the application
N/A - MUST: Header files must be in a -devel package
N/A - MUST: Static libraries must be in a -static package
N/A - MUST: library files that end in .so are in the -devel package.
OK - MUST: devel packages must require the base package using a fully versioned dependency
OK - MUST: The package does not contain any .la libtool archives.
OK - MUST: The package contains a GUI application and includes a %{name}.desktop file, and that file is properly installed with desktop-file-install in the %install section.
OK - MUST: package does not own files or directories already owned by other packages.
OK - Should: at the beginning of %install, the package runs rm -rf $RPM_BUILD_ROOT
OK - MUST: all filenames valid UTF-8

OK - SHOULD: Source package includes license text(s) as a separate file.
OK - SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
OK - SHOULD: builds in mock.
OK - SHOULD: compiles and builds into binary rpms on all supported architectures.
OK - SHOULD: functions as described.
N/A - SHOULD: Scriptlets are sane.
N/A - SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
N/A - SHOULD: pkgconfig(.pc) files should be placed in a -devel pkg
OK - SHOULD: no file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin
OK - SHOULD: package should contain man pages for binaries/scripts.

Other items:
OK - latest stable version
OK - SourceURL valid
OK - Compiler flags ok
OK - Debuginfo complete
OK - SHOULD: package has a %clean section, which contains rm -rf $RPM_BUILD_ROOT
N/A - SHOULD: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'.

Comment 5 Susmit 2011-01-30 18:48:06 EST
Great, Thanks a lot Christoph.
Comment 6 Susmit 2011-02-01 12:44:52 EST
New Package SCM Request
Package Name: amide
Short Description: A Medical Image Data Examiner
Owners: Susmit
Branches: f14
Comment 7 Bill Nottingham 2011-02-02 17:34:56 EST
Please fix the package owner to match the FAS account name.
Comment 8 Susmit 2011-02-02 17:41:00 EST
My user name *is* susmit, is it case sensitive?
Comment 9 Susmit 2011-02-02 17:41:11 EST
New Package SCM Request
Package Name: amide
Short Description: A Medical Image Data Examiner
Owners: susmit
Branches: f14
Comment 10 Christoph Wickert 2011-02-02 17:44:33 EST
(In reply to comment #8)
> My user name *is* susmit, is it case sensitive?

Comment 11 Kevin Fenzi 2011-02-03 15:22:34 EST
Also, is the package amide or Amide? The summary and the package name don't match. ;(
Comment 12 Susmit 2011-02-03 15:37:45 EST
I have updated the wiki with the information. It was no where mentioned in the wiki that these fields are case sensitive.
Comment 13 Susmit 2011-02-03 15:37:58 EST
New Package SCM Request
Package Name: amide
Short Description: A Medical Image Data Examiner
Owners: susmit
Branches: f14
Comment 14 Kevin Fenzi 2011-02-06 17:50:41 EST
Git done (by process-git-requests).

Sorry on the case sensitive fields.
Comment 15 Susmit 2011-02-06 21:45:31 EST
Thank you very much. It has been pushed to koji.
Comment 16 Andreas Loening 2011-02-08 00:14:11 EST
Hi Susmit,

Sorry, but I would prefer if you did not push this into Fedora at the current time.

AMIDE is dependent on both the dcmtk and xmedcon libraries that are not currently in Fedora. Even though you can build amide without these libraries, it's close to useless without these libraries. It'd be like distributing a version of GIMP that couldn't read/write jpeg, png, or tiff. This is not the user experience that I want people to have with this application. I've been holding off on submitting this package myself for that very reason.

There's ongoing work to get DCMTK properly packaged for Fedora.

If somebody wants to take on packaging xmedcon (http://xmedcon.sf.net), that'd also be useful.

Comment 17 Susmit 2011-02-27 23:21:19 EST
Retired for time being.
Will take up again once xmedcon and DCMTK is packaged.
Comment 18 Peter Lemenkov 2011-04-22 04:00:25 EDT
DCMTK is available in Fedora finally, so it's time to continue.
Comment 19 Susmit 2011-04-22 23:37:54 EDT
Thanks for the heads up, but xmedcon is still not.
I am not sure is that would be useful without it.
Comment 20 Andreas Loening 2011-06-18 18:09:19 EDT
Hey Susmit. I think getting AMIDE into Fedora should still wait on getting xmedcon into Fedora. Till then, people can just download the rpm package directly off the AMIDE website.
Comment 21 Ankur Sinha (FranciscoD) 2011-08-10 13:51:17 EDT

xmedcon has been packaged in fedora. Susmit, would you continue with this package? If you don't want to, please close this ticket. I shall open a fresh ticket. 

Comment 22 Christoph Wickert 2011-08-26 05:45:11 EDT
I have built amide with xmedcon and dcmtk now, see

Ankur, please push xmedcon to F14-F15 updates released so I can build the other releases and then close this bug.
Comment 23 Fedora Update System 2011-10-06 18:57:14 EDT
amide-0.9.2-4.fc14 has been submitted as an update for Fedora 14.
Comment 24 Fedora Update System 2011-10-06 18:57:27 EDT
amide-0.9.2-4.fc16 has been submitted as an update for Fedora 16.
Comment 25 Fedora Update System 2011-10-06 18:58:26 EDT
amide-0.9.2-4.fc15 has been submitted as an update for Fedora 15.
Comment 26 Fedora Update System 2011-10-19 00:28:06 EDT
amide-1.0.0-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 27 Fedora Update System 2011-10-20 05:56:22 EDT
amide-1.0.0-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 28 Fedora Update System 2011-10-20 06:00:01 EDT
amide-1.0.0-1.fc14 has been pushed to the Fedora 14 stable repository.

Note You need to log in before you can comment on or make changes to this bug.